Bug 333582 - Scanning for faces crashes
Summary: Scanning for faces crashes
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 3.4.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-04-18 14:02 UTC by yohann
Modified: 2019-12-23 06:22 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yohann 2014-04-18 14:02:32 UTC
Application: digikam (3.4.0)
KDE Platform Version: 4.11.5
Qt Version: 4.8.4
Operating System: Linux 3.11.0-19-generic x86_64
Distribution: Ubuntu 13.10

-- Information about the crash:
- What I was doing when the application crashed:
I was scanning faces  (380 files) and the application crashed.

The crash can be reproduced sometimes.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7ffd9dc8ba80 (LWP 63626))]

Thread 17 (Thread 0x7ffd7c2d1700 (LWP 63629)):
#0  0x00007ffd975f5f7d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffd80739198 in ?? () from /lib/x86_64-linux-gnu/libusb-1.0.so.0
#2  0x00007ffd9294ef6e in start_thread (arg=0x7ffd7c2d1700) at pthread_create.c:311
#3  0x00007ffd976029cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 16 (Thread 0x7ffd754a1700 (LWP 63630)):
#0  0x00007ffd975f5f7d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffd8ff216a4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffd8ff21b0a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffd81a98b66 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007ffd8ff460f5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007ffd9294ef6e in start_thread (arg=0x7ffd754a1700) at pthread_create.c:311
#6  0x00007ffd976029cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 15 (Thread 0x7ffd6ffff700 (LWP 63631)):
#0  0x00007ffd8ff610f7 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffd8ff61399 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffd8ff21595 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffd8ff217ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007ffd8ff217f9 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007ffd8ff460f5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6  0x00007ffd9294ef6e in start_thread (arg=0x7ffd6ffff700) at pthread_create.c:311
#7  0x00007ffd976029cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 14 (Thread 0x7ffd6ccfb700 (LWP 63635)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffd983e4406 in wait (time=18446744073709551615, this=0xf85470) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0xf85380, mutex=mutex@entry=0xf85378, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005d5c4e in Digikam::ScanController::run (this=0xf85110) at /build/buildd/digikam-3.4.0/core/digikam/database/scancontroller.cpp:725
#4  0x00007ffd983e3f2f in QThreadPrivate::start (arg=0xf85110) at thread/qthread_unix.cpp:338
#5  0x00007ffd9294ef6e in start_thread (arg=0x7ffd6ccfb700) at pthread_create.c:311
#6  0x00007ffd976029cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 13 (Thread 0x7ffd5ffff700 (LWP 63636)):
#0  0x00007ffd8fef2f10 in pthread_mutex_unlock@plt () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffd8ff613d1 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffd8ff21699 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffd8ff217ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007ffd98510a76 in QEventDispatcherGlib::processEvents (this=0x7ffd540008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007ffd984e25ef in QEventLoop::processEvents (this=this@entry=0x7ffd5fffeab0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007ffd984e28e5 in QEventLoop::exec (this=this@entry=0x7ffd5fffeab0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007ffd983e188f in QThread::exec (this=this@entry=0xf87970) at thread/qthread.cpp:542
#8  0x00007ffd984c3d13 in QInotifyFileSystemWatcherEngine::run (this=0xf87970) at io/qfilesystemwatcher_inotify.cpp:265
#9  0x00007ffd983e3f2f in QThreadPrivate::start (arg=0xf87970) at thread/qthread_unix.cpp:338
#10 0x00007ffd9294ef6e in start_thread (arg=0x7ffd5ffff700) at pthread_create.c:311
#11 0x00007ffd976029cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 12 (Thread 0x7ffd6f7fe700 (LWP 63638)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007ffd983e4406 in wait (time=18446744073709551615, this=0x12f3f10) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x12f5560, mutex=mutex@entry=0x12f5558, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007ffd9b25e16a in Digikam::ParkingThread::run (this=0x12f5540) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:119
#4  0x00007ffd983e3f2f in QThreadPrivate::start (arg=0x12f5540) at thread/qthread_unix.cpp:338
#5  0x00007ffd9294ef6e in start_thread (arg=0x7ffd6f7fe700) at pthread_create.c:311
#6  0x00007ffd976029cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 11 (Thread 0x7ffd457f9700 (LWP 63701)):
#0  __GI___pthread_mutex_lock (mutex=0x7ffd14002220) at pthread_mutex_lock.c:67
#1  0x00007ffd8ff613a1 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffd8ff21286 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffd8ff21708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007ffd8ff217ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007ffd98510a76 in QEventDispatcherGlib::processEvents (this=0x7ffd14013b20, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007ffd984e25ef in QEventLoop::processEvents (this=this@entry=0x7ffd457f8a80, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007ffd984e28e5 in QEventLoop::exec (this=this@entry=0x7ffd457f8a80, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007ffd9b25d813 in Digikam::WorkerObjectRunnable::run (this=0x3d48cb0) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007ffd983d77ae in QThreadPoolThread::run (this=0x27e6610) at concurrent/qthreadpool.cpp:107
#10 0x00007ffd983e3f2f in QThreadPrivate::start (arg=0x27e6610) at thread/qthread_unix.cpp:338
#11 0x00007ffd9294ef6e in start_thread (arg=0x7ffd457f9700) at pthread_create.c:311
#12 0x00007ffd976029cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 10 (Thread 0x7ffd477fd700 (LWP 63702)):
#0  0x00007fff0f943900 in clock_gettime ()
#1  0x00007ffd9761796d in clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:115
#2  0x00007ffd98438757 in do_gettime (frac=0x7ffd477fc810, sec=0x7ffd477fc808) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007ffd98511fe5 in updateCurrentTime (this=0x7ffd10002330) at kernel/qeventdispatcher_unix.cpp:354
#5  QTimerInfoList::timerWait (this=0x7ffd10002330, tm=...) at kernel/qeventdispatcher_unix.cpp:461
#6  0x00007ffd9851082c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7ffd477fc8c4) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007ffd985108d5 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007ffd8ff20d4d in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007ffd8ff215c3 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007ffd8ff217ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ffd98510a76 in QEventDispatcherGlib::processEvents (this=0x7ffd10024060, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#12 0x00007ffd984e25ef in QEventLoop::processEvents (this=this@entry=0x7ffd477fca80, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007ffd984e28e5 in QEventLoop::exec (this=this@entry=0x7ffd477fca80, flags=...) at kernel/qeventloop.cpp:204
#14 0x00007ffd9b25d813 in Digikam::WorkerObjectRunnable::run (this=0x3a0a000) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#15 0x00007ffd983d77ae in QThreadPoolThread::run (this=0x27e8de0) at concurrent/qthreadpool.cpp:107
#16 0x00007ffd983e3f2f in QThreadPrivate::start (arg=0x27e8de0) at thread/qthread_unix.cpp:338
#17 0x00007ffd9294ef6e in start_thread (arg=0x7ffd477fd700) at pthread_create.c:311
#18 0x00007ffd976029cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 9 (Thread 0x7ffd5144b700 (LWP 63703)):
#0  0x00007ffd8ff610f6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007ffd8ff613c9 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffd8ff217b6 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffd98510a76 in QEventDispatcherGlib::processEvents (this=0x7ffd380c8820, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007ffd984e25ef in QEventLoop::processEvents (this=this@entry=0x7ffd5144aa80, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007ffd984e28e5 in QEventLoop::exec (this=this@entry=0x7ffd5144aa80, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007ffd9b25d813 in Digikam::WorkerObjectRunnable::run (this=0x3a79f10) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007ffd983d77ae in QThreadPoolThread::run (this=0x27e7330) at concurrent/qthreadpool.cpp:107
#8  0x00007ffd983e3f2f in QThreadPrivate::start (arg=0x27e7330) at thread/qthread_unix.cpp:338
#9  0x00007ffd9294ef6e in start_thread (arg=0x7ffd5144b700) at pthread_create.c:311
#10 0x00007ffd976029cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 8 (Thread 0x7ffd27fff700 (LWP 63704)):
#0  0x00007ffd975f5f7d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffd8ff216a4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffd8ff217ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ffd98510a76 in QEventDispatcherGlib::processEvents (this=0x7ffd28025b90, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007ffd984e25ef in QEventLoop::processEvents (this=this@entry=0x7ffd27ffea80, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007ffd984e28e5 in QEventLoop::exec (this=this@entry=0x7ffd27ffea80, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007ffd9b25d813 in Digikam::WorkerObjectRunnable::run (this=0x3d69430) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007ffd983d77ae in QThreadPoolThread::run (this=0x27e8870) at concurrent/qthreadpool.cpp:107
#8  0x00007ffd983e3f2f in QThreadPrivate::start (arg=0x27e8870) at thread/qthread_unix.cpp:338
#9  0x00007ffd9294ef6e in start_thread (arg=0x7ffd27fff700) at pthread_create.c:311
#10 0x00007ffd976029cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 7 (Thread 0x7ffd6effd700 (LWP 63705)):
#0  qulltoa (l=3, l@entry=34, base=base@entry=10, _zero=...) at tools/qlocale_tools.cpp:90
#1  0x00007ffd9840d4f6 in qlltoa (l=l@entry=34, base=base@entry=10, zero=..., zero@entry=...) at tools/qlocale_tools.cpp:113
#2  0x00007ffd98406668 in QLocalePrivate::longLongToString (zero=..., group=..., plus=..., minus=..., l=l@entry=34, precision=1, precision@entry=-1, base=base@entry=10, width=width@entry=2, flags=flags@entry=2) at tools/qlocale.cpp:2671
#3  0x00007ffd98406802 in QLocalePrivate::longLongToString (this=<optimized out>, l=l@entry=34, precision=precision@entry=-1, base=base@entry=10, width=width@entry=2, flags=flags@entry=2) at tools/qlocale.cpp:2646
#4  0x00007ffd98434837 in QString::arg (this=this@entry=0x7ffd6effb9a0, a=a@entry=34, fieldWidth=fieldWidth@entry=2, base=base@entry=10, fillChar=...) at tools/qstring.cpp:6776
#5  0x00007ffd983f1408 in arg (fillChar=..., base=10, fieldWidth=2, a=34, this=0x7ffd6effb9a0) at ../../include/QtCore/../../src/corelib/tools/qstring.h:744
#6  QTime::toString (this=<optimized out>, format=format@entry=Qt::ISODate) at tools/qdatetime.cpp:1586
#7  0x00007ffd983f1f21 in QDateTime::toString (this=this@entry=0x7ffd6effbd40, f=f@entry=Qt::ISODate) at tools/qdatetime.cpp:2504
#8  0x00007ffd98508173 in convert (d=0x7ffd6effbd40, t=<optimized out>, result=0x7ffd6effbc10, ok=<optimized out>) at kernel/qvariant.cpp:681
#9  0x00007ffd98f0cc3b in convert (d=0x7ffd6effbd40, t=QVariant::String, result=0x7ffd6effbc10, ok=0x0) at kernel/qguivariant.cpp:549
#10 0x00007ffd98504f26 in qVariantToHelper<QString> (t=QVariant::String, handler=<optimized out>, d=...) at kernel/qvariant.cpp:2119
#11 QVariant::toString (this=this@entry=0x7ffd6effbd40) at kernel/qvariant.cpp:2147
#12 0x00007ffd6c2f6dad in QSQLiteResult::exec (this=0x7ffd08044920) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:429
#13 0x00007ffd9d8c0b7d in QSqlQuery::exec (this=this@entry=0x7ffd6effbee8) at kernel/qsqlquery.cpp:949
#14 0x00007ffd9b217396 in Digikam::DatabaseCoreBackend::exec (this=0xfe5a00, query=...) at /build/buildd/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:1414
#15 0x00007ffd9b21765e in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0xfe5a00, query=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /build/buildd/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:1085
#16 0x00007ffd9b218705 in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0xfe5a00, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /build/buildd/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:1030
#17 0x00007ffd9b218759 in Digikam::DatabaseCoreBackend::execSql (this=0xfe5a00, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=..., values=values@entry=0x0, lastInsertId=lastInsertId@entry=0x7ffd6effbf50) at /build/buildd/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:928
#18 0x00007ffd9b224590 in Digikam::ThumbnailDB::insertThumbnail (this=0x11ee490, info=..., lastInsertId=lastInsertId@entry=0x7ffd6effc0d0) at /build/buildd/digikam-3.4.0/core/libs/database/core/thumbnaildb.cpp:260
#19 0x00007ffd9b248c08 in Digikam::ThumbnailCreator::storeInDatabase (this=this@entry=0x55a77a0, info=..., image=...) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:755
#20 0x00007ffd9b24c0ae in Digikam::ThumbnailCreator::store (this=0x55a77a0, path=..., i=..., rect=...) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:391
#21 0x00007ffd9b24c14e in Digikam::ThumbnailCreator::storeDetailThumbnail (this=<optimized out>, path=..., detailRect=..., i=...) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:369
#22 0x00007ffd9b24cdfd in Digikam::ThumbnailLoadThread::storeDetailThumbnail (this=this@entry=0x55a7430, filePath=..., detailRect=..., image=..., isFace=isFace@entry=true) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/thumbnailloadthread.cpp:922
#23 0x00000000006c41c7 in Digikam::FaceUtils::storeThumbnails (this=this@entry=0x7ffd6effc2d0, thread=0x55a7430, filePath=..., databaseFaces=..., image=...) at /build/buildd/digikam-3.4.0/core/utilities/facemanagement/faceutils.cpp:145
#24 0x00000000006d0c7f in Digikam::DatabaseWriter::process (this=0x550c460, package=...) at /build/buildd/digikam-3.4.0/core/utilities/facemanagement/facepipeline.cpp:647
#25 0x00000000006d0f01 in Digikam::DatabaseWriter::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /build/buildd/digikam-3.4.0/obj-x86_64-linux-gnu/core/digikam/facepipeline_p.moc:494
#26 0x00007ffd984fbdce in QObject::event (this=0x550c460, e=<optimized out>) at kernel/qobject.cpp:1194
#27 0x00007ffd98ed4dfc in QApplicationPrivate::notify_helper (this=this@entry=0xc95500, receiver=receiver@entry=0x550c460, e=e@entry=0x7ffd28039500) at kernel/qapplication.cpp:4567
#28 0x00007ffd98edb470 in QApplication::notify (this=this@entry=0x7fff0f9071f0, receiver=receiver@entry=0x550c460, e=e@entry=0x7ffd28039500) at kernel/qapplication.cpp:4353
#29 0x00007ffd99bdea6a in KApplication::notify (this=0x7fff0f9071f0, receiver=0x550c460, event=0x7ffd28039500) at ../../kdeui/kernel/kapplication.cpp:311
#30 0x00007ffd984e38bd in QCoreApplication::notifyInternal (this=0x7fff0f9071f0, receiver=receiver@entry=0x550c460, event=event@entry=0x7ffd28039500) at kernel/qcoreapplication.cpp:946
#31 0x00007ffd984e6e1f in sendEvent (event=0x7ffd28039500, receiver=0x550c460) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#32 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x27e6c10) at kernel/qcoreapplication.cpp:1570
#33 0x00007ffd984e72c3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1463
#34 0x00007ffd98511073 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#35 postEventSourceDispatch (s=0x7ffd08057550) at kernel/qeventdispatcher_glib.cpp:279
#36 0x00007ffd8ff213b6 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#37 0x00007ffd8ff21708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#38 0x00007ffd8ff217ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#39 0x00007ffd98510a55 in QEventDispatcherGlib::processEvents (this=0x7ffd08012550, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#40 0x00007ffd984e25ef in QEventLoop::processEvents (this=this@entry=0x7ffd6effca80, flags=...) at kernel/qeventloop.cpp:149
#41 0x00007ffd984e28e5 in QEventLoop::exec (this=this@entry=0x7ffd6effca80, flags=...) at kernel/qeventloop.cpp:204
#42 0x00007ffd9b25d813 in Digikam::WorkerObjectRunnable::run (this=0x3d69460) at /build/buildd/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#43 0x00007ffd983d77ae in QThreadPoolThread::run (this=0x27e6a70) at concurrent/qthreadpool.cpp:107
#44 0x00007ffd983e3f2f in QThreadPrivate::start (arg=0x27e6a70) at thread/qthread_unix.cpp:338
#45 0x00007ffd9294ef6e in start_thread (arg=0x7ffd6effd700) at pthread_create.c:311
#46 0x00007ffd976029cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 6 (Thread 0x7ffd5f7fe700 (LWP 63706)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffd983e2a03 in _q_futex (val2=0, addr2=0x0, timeout=0x0, val=2, op=0, addr=0x10b16e0) at thread/qmutex_unix.cpp:99
#2  QMutexPrivate::wait (this=this@entry=0x10b16e0, timeout=timeout@entry=-1) at thread/qmutex_unix.cpp:113
#3  0x00007ffd983df03d in QMutex::lock (this=<optimized out>) at thread/qmutex.cpp:164
#4  0x00007ffd9b2229e4 in Digikam::ThumbnailDatabaseAccess::ThumbnailDatabaseAccess (this=<optimized out>) at /build/buildd/digikam-3.4.0/core/libs/database/core/thumbnaildatabaseaccess.cpp:87
#5  0x00007ffd9b248ac5 in Digikam::ThumbnailCreator::storeInDatabase (this=this@entry=0x14e66f0, info=..., image=...) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:738
#6  0x00007ffd9b24aca9 in Digikam::ThumbnailCreator::load (this=0x14e66f0, path=..., rect=..., pregenerate=pregenerate@entry=true) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:267
#7  0x00007ffd9b24b5a0 in Digikam::ThumbnailCreator::pregenerate (this=<optimized out>, path=...) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:183
#8  0x00007ffd9b25a160 in Digikam::ThumbnailLoadingTask::execute (this=0x5a11730) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/thumbnailtask.cpp:82
#9  0x00007ffd9b232436 in Digikam::LoadSaveThread::run (this=0x14c9f40) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/loadsavethread.cpp:136
#10 0x00007ffd9b25ffae in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x1390340) at /build/buildd/digikam-3.4.0/core/libs/threads/dynamicthread.cpp:186
#11 0x00007ffd983d77ae in QThreadPoolThread::run (this=0x27e4bf0) at concurrent/qthreadpool.cpp:107
#12 0x00007ffd983e3f2f in QThreadPrivate::start (arg=0x27e4bf0) at thread/qthread_unix.cpp:338
#13 0x00007ffd9294ef6e in start_thread (arg=0x7ffd5f7fe700) at pthread_create.c:311
#14 0x00007ffd976029cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7ffd53791700 (LWP 63707)):
#0  0x00007ffd975f46bd in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007ffd97581fa9 in __GI__IO_file_xsgetn (fp=0x7ffd04381180, data=<optimized out>, n=44086) at fileops.c:1441
#2  0x00007ffd975778e3 in __GI__IO_fread (buf=<optimized out>, size=1, count=44086, fp=0x7ffd04381180) at iofread.c:42
#3  0x00007ffd93ce15bf in Exiv2::JpegBase::readMetadata() () from /usr/lib/libexiv2.so.12
#4  0x00007ffd9b9c87e3 in KExiv2Iface::KExiv2Previews::KExiv2Previews(QString const&) () from /usr/lib/libkexiv2.so.11
#5  0x00007ffd9b2431ec in Digikam::PreviewLoadingTask::execute (this=0x596fd60) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/previewtask.cpp:207
#6  0x00007ffd9b232436 in Digikam::LoadSaveThread::run (this=0x559e600) at /build/buildd/digikam-3.4.0/core/libs/threadimageio/loadsavethread.cpp:136
#7  0x00007ffd9b25ffae in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x559e720) at /build/buildd/digikam-3.4.0/core/libs/threads/dynamicthread.cpp:186
#8  0x00007ffd983d77ae in QThreadPoolThread::run (this=0x27e5490) at concurrent/qthreadpool.cpp:107
#9  0x00007ffd983e3f2f in QThreadPrivate::start (arg=0x27e5490) at thread/qthread_unix.cpp:338
#10 0x00007ffd9294ef6e in start_thread (arg=0x7ffd53791700) at pthread_create.c:311
#11 0x00007ffd976029cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7ffd51cd7700 (LWP 63708)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffd8cccfc6b in ?? () from /usr/lib/libtbb.so.2
#2  0x00007ffd8cccfc89 in ?? () from /usr/lib/libtbb.so.2
#3  0x00007ffd9294ef6e in start_thread (arg=0x7ffd51cd7700) at pthread_create.c:311
#4  0x00007ffd976029cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7ffd518d6700 (LWP 63709)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffd8cccfc6b in ?? () from /usr/lib/libtbb.so.2
#2  0x00007ffd8cccfc89 in ?? () from /usr/lib/libtbb.so.2
#3  0x00007ffd9294ef6e in start_thread (arg=0x7ffd518d6700) at pthread_create.c:311
#4  0x00007ffd976029cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7ffd50c4a700 (LWP 63710)):
#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38
#1  0x00007ffd8cccfc6b in ?? () from /usr/lib/libtbb.so.2
#2  0x00007ffd8cccfc89 in ?? () from /usr/lib/libtbb.so.2
#3  0x00007ffd9294ef6e in start_thread (arg=0x7ffd50c4a700) at pthread_create.c:311
#4  0x00007ffd976029cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7ffd9dc8ba80 (LWP 63626)):
[KCrash Handler]
#6  deref (this=<optimized out>) at ../../include/QtCore/../../src/corelib/arch/qatomic_x86_64.h:133
#7  QCursor::~QCursor (this=0x53926c0, __in_chrg=<optimized out>) at kernel/qcursor.cpp:542
#8  0x00007ffd98f0d285 in v_clear<QCursor> (d=0x53926c0) at ../../include/QtCore/private/../../../src/corelib/kernel/qvariant_p.h:144
#9  clear (d=0x53926c0) at kernel/qguivariant.cpp:195
#10 0x00007ffd9aca6ae1 in node_destruct (this=<optimized out>, n=0x538b350) at /usr/include/qt4/QtCore/qlist.h:388
#11 erase (alast=..., afirst=..., this=0x134b7c8) at /usr/include/qt4/QtCore/qlist.h:811
#12 Digikam::ImageModel::removeRowPairs (this=this@entry=0x1349320, toRemove=...) at /build/buildd/digikam-3.4.0/core/libs/models/imagemodel.cpp:1025
#13 0x00007ffd9aca7d92 in Digikam::ImageModel::finishIncrementalRefresh (this=this@entry=0x1349320) at /build/buildd/digikam-3.4.0/core/libs/models/imagemodel.cpp:844
#14 0x00000000005727b5 in Digikam::ImageAlbumModel::slotResult (this=0x1349320, job=<optimized out>) at /build/buildd/digikam-3.4.0/core/libs/models/imagealbummodel.cpp:307
#15 0x000000000057361c in Digikam::ImageAlbumModel::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at /build/buildd/digikam-3.4.0/obj-x86_64-linux-gnu/core/digikam/imagealbummodel.moc:94
#16 0x00007ffd984f7a58 in QMetaObject::activate (sender=sender@entry=0x55f6970, m=m@entry=0x7ffd98cfc600 <KJob::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fff0f906080) at kernel/qobject.cpp:3539
#17 0x00007ffd9896c752 in KJob::result (this=this@entry=0x55f6970, _t1=_t1@entry=0x55f6970) at ./kjob.moc:208
#18 0x00007ffd9896c790 in KJob::emitResult (this=this@entry=0x55f6970) at ../../kdecore/jobs/kjob.cpp:318
#19 0x00007ffd9a338a4a in KIO::SimpleJob::slotFinished (this=this@entry=0x55f6970) at ../../kio/kio/job.cpp:496
#20 0x00007ffd9a339b9e in KIO::TransferJob::slotFinished (this=0x55f6970) at ../../kio/kio/job.cpp:1099
#21 0x00007ffd984f7a58 in QMetaObject::activate (sender=0x1e012b0, m=m@entry=0x7ffd9a6e1580 <KIO::SlaveInterface::staticMetaObject>, local_signal_index=local_signal_index@entry=4, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#22 0x00007ffd9a3d6953 in KIO::SlaveInterface::finished (this=<optimized out>) at ./slaveinterface.moc:185
#23 0x00007ffd9a3d7e96 in KIO::SlaveInterface::dispatch (this=<optimized out>, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:176
#24 0x00007ffd9a3d598e in KIO::SlaveInterface::dispatch (this=0x1e012b0) at ../../kio/kio/slaveinterface.cpp:92
#25 0x00007ffd9a3ca5f6 in KIO::Slave::gotInput (this=0x1e012b0) at ../../kio/kio/slave.cpp:344
#26 0x00007ffd984f7a58 in QMetaObject::activate (sender=0x2ef6240, m=m@entry=0x7ffd9a6daaa0 <KIO::Connection::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#27 0x00007ffd9a3061e0 in KIO::Connection::readyRead (this=<optimized out>) at ./connection.moc:106
#28 0x00007ffd9a3068d1 in KIO::ConnectionPrivate::dequeue (this=0x123d2f0) at ../../kio/kio/connection.cpp:82
#29 0x00007ffd984fbdce in QObject::event (this=0x2ef6240, e=<optimized out>) at kernel/qobject.cpp:1194
#30 0x00007ffd98ed4dfc in QApplicationPrivate::notify_helper (this=this@entry=0xc95500, receiver=receiver@entry=0x2ef6240, e=e@entry=0x55f5ef0) at kernel/qapplication.cpp:4567
#31 0x00007ffd98edb470 in QApplication::notify (this=this@entry=0x7fff0f9071f0, receiver=receiver@entry=0x2ef6240, e=e@entry=0x55f5ef0) at kernel/qapplication.cpp:4353
#32 0x00007ffd99bdea6a in KApplication::notify (this=0x7fff0f9071f0, receiver=0x2ef6240, event=0x55f5ef0) at ../../kdeui/kernel/kapplication.cpp:311
#33 0x00007ffd984e38bd in QCoreApplication::notifyInternal (this=0x7fff0f9071f0, receiver=receiver@entry=0x2ef6240, event=event@entry=0x55f5ef0) at kernel/qcoreapplication.cpp:946
#34 0x00007ffd984e6e1f in sendEvent (event=0x55f5ef0, receiver=0x2ef6240) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#35 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0xc0bea0) at kernel/qcoreapplication.cpp:1570
#36 0x00007ffd984e72c3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1463
#37 0x00007ffd98511073 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#38 postEventSourceDispatch (s=0xc96e40) at kernel/qeventdispatcher_glib.cpp:279
#39 0x00007ffd8ff213b6 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#40 0x00007ffd8ff21708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#41 0x00007ffd8ff217ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#42 0x00007ffd98510a55 in QEventDispatcherGlib::processEvents (this=0xbd2c30, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#43 0x00007ffd98f769d6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#44 0x00007ffd984e25ef in QEventLoop::processEvents (this=this@entry=0x7fff0f906cd0, flags=...) at kernel/qeventloop.cpp:149
#45 0x00007ffd984e28e5 in QEventLoop::exec (this=this@entry=0x7fff0f906cd0, flags=...) at kernel/qeventloop.cpp:204
#46 0x00007ffd984e7e5b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#47 0x00007ffd98ed334c in QApplication::exec () at kernel/qapplication.cpp:3828
#48 0x0000000000491ef3 in main (argc=<optimized out>, argv=<optimized out>) at /build/buildd/digikam-3.4.0/core/digikam/main/main.cpp:235

The reporter indicates this bug may be a duplicate of or related to bug 326742.

Reported using DrKonqi
Comment 1 caulier.gilles 2014-04-19 12:32:13 UTC

*** This bug has been marked as a duplicate of bug 317413 ***
Comment 2 caulier.gilles 2019-12-23 06:22:06 UTC
Problem is fixed with new 7.0.0-beta1 through this long story from this bug

https://bugs.kde.org/show_bug.cgi?id=399923

You can test digiKam 7.0.0-beta1 with bundle available here:

https://download.kde.org/unstable/digikam/

Don't hesitate to give us a fresh feedback about his entry.

Thanks in advance

Gilles Caulier